<!doctype html>
<html lang="en">
  <head>
    <title>tema12</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

         <style>
      .button {
        margin-left: 40%;
  	    margin-top: 2px;
      }
      .patrat{
        display:inline-block;
      padding-left: 15px;
     }

      .square {
        width: 50px;
        height: 50px;
        background-color: gray;
        display: inline-block;
        margin: 1px;
       
      }
    </style>
</head>
  <body>
    <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
  <div id="app">
      
      <div class="patrat"   v-for="patrat in patrats.slice(0,4)">
        <div v-on:click="showDiv(patrat)" class="square" >
        </div>
      </div>

       <br />
      <div class="patrat" v-for="patrat in patrats.slice(4,8)">
        <div v-on:click="showDiv(patrat)" class="square">
        </div>
      </div>
       <br />
      <div class="patrat"  v-for="patrat in patrats.slice(8,12)">
        <div v-on:click="showDiv(patrat)" class="square">
        </div>
      </div>
       <br />
      <div class="patrat"  v-for="patrat in patrats.slice(12,16)">
        <div  class="square"></div>
        </div>
      </div>
       </div>
       <script>
       var search = new Vue({
        el: '#app',
        data: {
            colors: [],
            patrats: [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16],
           
    
        },
        methods: {
            
        }
           
    });
  </script>
  </body>
</html>